$(function () {
    'use strict';

    // Załadowanie zdjęć
    $(document).ready(function () {
        $('.imagesData').each( function () {
            var img = $(this).data('img');
            var alt = $(this).data('alt');
            var html = '<img class="imagesData" src="' + img + '" alt="' + alt + '">';
            $(this).parent().prepend(html);
            $(this).remove();
        });
    });

    // Wyszukiwanie
    $('#searchIndexPage').on('keyup', function () {
        var value = $(this).val();
        if(value.length > 2){
            $(".siteMap li").hide();
            $('.siteMap li:contains("'+value+'")').show();
        } else {
            $(".siteMap li").show();
        }
    });
});